Collect Comments by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>",
"days_back": 123
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"url": "<string>",
"days_back": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{url: '<string>', days_back: 123}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"comment_id": "k5f7a9b",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/comment/k5f7a9b/",
"user_posted": "helpful_dev",
"comment": "Start with the official Python tutorial, it covers the basics well.",
"date_posted": "2026-03-15T08:42:00Z",
"num_upvotes": 24,
"num_replies": 3,
"replies": [],
"post_url": "https://www.reddit.com/r/learnpython/comments/1asdf12/",
"post_id": "1asdf12",
"post_language": "en",
"post_state": "active",
"post_type": "text",
"images": [],
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"is_moderator": false,
"is_pinned": false,
"has_bot_in_username": false,
"is_locked": false,
"is_admin_post": false,
"is_archived_post": false,
"is_moderator_post": false,
"is_quarantined_post": false,
"is_not_safe_for_work_post": false,
"is_eligible_for_content_blocking_post": false,
"is_promoted_post": false
}
]
Reddit
Collect Reddit comments by URL
Use the Bright Data Web Scraper API to collect Reddit comments by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Collect Comments by URL
Query Parameters
string
default:"gd_lvzdpsdlw09j6t702"
required
The dataset ID used for this request.
Must be set to
gd_lvzdpsdlw09j6t702 to collect Comments by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/", "days_back": 7},
{"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}
]
}
[
{
"comment_id": "k5f7a9b",
"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/comment/k5f7a9b/",
"user_posted": "helpful_dev",
"comment": "Start with the official Python tutorial, it covers the basics well.",
"date_posted": "2026-03-15T08:42:00Z",
"num_upvotes": 24,
"num_replies": 3,
"replies": [],
"post_url": "https://www.reddit.com/r/learnpython/comments/1asdf12/",
"post_id": "1asdf12",
"post_language": "en",
"post_state": "active",
"post_type": "text",
"images": [],
"community_name": "learnpython",
"community_url": "https://www.reddit.com/r/learnpython",
"community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
"community_members_num": 1120000,
"community_rank": null,
"is_moderator": false,
"is_pinned": false,
"has_bot_in_username": false,
"is_locked": false,
"is_admin_post": false,
"is_archived_post": false,
"is_moderator_post": false,
"is_quarantined_post": false,
"is_not_safe_for_work_post": false,
"is_eligible_for_content_blocking_post": false,
"is_promoted_post": false
}
]
Was this page helpful?
⌘I